404

[ Avaa Bypassed ]




Upload:

Command:

botdev@3.138.202.226: ~ $
#!/bin/sh
set -e

### BEGIN INIT INFO
# Provides:           docker
# Required-Start:     $syslog $remote_fs
# Required-Stop:      $syslog $remote_fs
# Should-Start:       cgroupfs-mount cgroup-lite
# Should-Stop:        cgroupfs-mount cgroup-lite
# Default-Start:      2 3 4 5
# Default-Stop:       0 1 6
# Short-Description:  Create lightweight, portable, self-sufficient containers.
# Description:
#  Docker is an open-source project to easily create lightweight, portable,
#  self-sufficient containers from any application. The same container that a
#  developer builds and tests on a laptop can run at scale, in production, on
#  VMs, bare metal, OpenStack clusters, public clouds and more.
### END INIT INFO

export PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin

BASE=docker

# modify these in /etc/default/$BASE (/etc/default/docker)
DOCKERD=/usr/bin/dockerd
# This is the pid file managed by docker itself
DOCKER_PIDFILE=/var/run/$BASE.pid
# This is the pid file created/managed by start-stop-daemon
DOCKER_SSD_PIDFILE=/var/run/$BASE-ssd.pid
DOCKER_LOGFILE=/var/log/$BASE.log
DOCKER_OPTS=
DOCKER_DESC="Docker"

# Get lsb functions
. /lib/lsb/init-functions

if [ -f /etc/default/$BASE ]; then
	. /etc/default/$BASE
fi

# Check docker is present
if [ ! -x $DOCKERD ]; then
	log_failure_msg "$DOCKERD not present or not executable"
	exit 1
fi

check_init() {
	# see also init_is_upstart in /lib/lsb/init-functions (which isn't available in Ubuntu 12.04, or we'd use it directly)
	if [ -x /sbin/initctl ] && /sbin/initctl version 2>/dev/null | grep -q upstart; then
		log_failure_msg "$DOCKER_DESC is managed via upstart, try using service $BASE $1"
		exit 1
	fi
}

fail_unless_root() {
	if [ "$(id -u)" != '0' ]; then
		log_failure_msg "$DOCKER_DESC must be run as root"
		exit 1
	fi
}

devicemapper_umount() {
	# Cleanup any stale mounts left from previous shutdown
	# see https://bugs.launchpad.net/ubuntu/+source/docker.io/+bug/1404300
	grep "mapper/docker" /proc/mounts | awk '{ print $2 }' | \
		xargs -r umount || true
}

case "$1" in
	start)
		check_init
		
		fail_unless_root

		devicemapper_umount

		touch "$DOCKER_LOGFILE"
		chgrp docker "$DOCKER_LOGFILE"

		ulimit -n 1048576

		# Having non-zero limits causes performance problems due to accounting overhead
		# in the kernel. We recommend using cgroups to do container-local accounting.
		if [ "$BASH" ]; then
			ulimit -u unlimited
		else
			ulimit -p unlimited
		fi

		log_begin_msg "Starting $DOCKER_DESC: $BASE"
		start-stop-daemon --start --background \
			--no-close \
			--exec "$DOCKERD" \
			--pidfile "$DOCKER_SSD_PIDFILE" \
			--make-pidfile \
			-- \
				-p "$DOCKER_PIDFILE" \
				$DOCKER_OPTS \
					>> "$DOCKER_LOGFILE" 2>&1
		log_end_msg $?
		;;

	stop)
		check_init
		fail_unless_root
		if [ -f "$DOCKER_SSD_PIDFILE" ]; then
			log_begin_msg "Stopping $DOCKER_DESC: $BASE"
			start-stop-daemon --stop --pidfile "$DOCKER_SSD_PIDFILE" --retry 10
			log_end_msg $?
		else
			log_warning_msg "Docker already stopped - file $DOCKER_SSD_PIDFILE not found."
		fi
		;;

	restart)
		check_init
		fail_unless_root
		docker_pid=`cat "$DOCKER_SSD_PIDFILE" 2>/dev/null`
		[ -n "$docker_pid" ] \
			&& ps -p $docker_pid > /dev/null 2>&1 \
			&& $0 stop
		$0 start
		;;

	force-reload)
		check_init
		fail_unless_root
		$0 restart
		;;

	status)
		check_init
		status_of_proc -p "$DOCKER_SSD_PIDFILE" "$DOCKERD" "$DOCKER_DESC"
		;;

	*)
		echo "Usage: service docker {start|stop|restart|status}"
		exit 1
		;;
esac

Filemanager

Name Type Size Permission Actions
K01apache-htcacheclean File 2.43 KB 0755
K01apache2 File 7.99 KB 0755
K01atd File 1.05 KB 0755
K01cgroupfs-mount File 1.86 KB 0755
K01cryptdisks File 937 B 0755
K01cryptdisks-early File 978 B 0755
K01danted File 3.72 KB 0755
K01docker File 3.42 KB 0755
K01ebtables File 4.38 KB 0755
K01hddtemp File 2.99 KB 0755
K01irqbalance File 2.39 KB 0755
K01iscsid File 1.47 KB 0755
K01lvm2-lvmetad File 571 B 0755
K01lvm2-lvmpolld File 586 B 0755
K01lxcfs File 2.32 KB 0755
K01lxd File 2.19 KB 0755
K01mdadm File 2.59 KB 0755
K01mdadm-waitidle File 1.22 KB 0755
K01mysql File 5.48 KB 0755
K01netfilter-persistent File 1.33 KB 0755
K01open-iscsi File 2.44 KB 0755
K01open-vm-tools File 1.8 KB 0755
K01openvpn File 8.92 KB 0755
K01plymouth File 1.33 KB 0755
K01rsyslog File 2.8 KB 0755
K01tor File 5.92 KB 0755
K01ubuntu-fan File 1.2 KB 0755
K01unattended-upgrades File 1.36 KB 0755
K01uuidd File 1.28 KB 0755